Автор Тема: mysql-workbench  (Прочитано 16474 раз)

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
mysql-workbench
« : 08.09.2015 18:44:04 »
MySQL Workbench в зависимостях тянет MySQL. Дефолтом же идет MariaDB. Можно ли собрать тот же пакет но без зависимости к мускулу? Насколько я понимаю MariaDB совместима и Workbench должен с ней работать.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: mysql-workbench
« Ответ #1 : 09.09.2015 09:04:04 »
А разве MariaDB не провайдет MySQL ?

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
Re: mysql-workbench
« Ответ #2 : 09.09.2015 19:25:27 »
# apt-get install mysql-workbench-gpl
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  mysql-workbench-gpl: Требует: MySQL-client
E: Извините, `битые' пакеты

/////////////////////////////////////

apt-get install MySQL-client
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие пакеты будут УДАЛЕНЫ:
  akonadi akonadi-database-8-mysql lamp-server mariadb mariadb-client mariadb-server
Следующие НОВЫЕ пакеты будут установлены:
  MySQL-client
0 будет обновлено, 1 новых установлено, 6 пакетов будет удалено и 0 не будет обновлено.
Необходимо получить 1459kB архивов.
После распаковки будет освобождено 52,8MB дискового пространства.

akonadi - часть kde. Не случиться ли что потом или кеды не стартанут или другое вылезет?

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #3 : 09.09.2015 23:29:08 »
А разве MariaDB не провайдет MySQL ?
Нет. MariaDB провайдит mysql. Регистр, видимо, важен.

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
Re: mysql-workbench
« Ответ #4 : 11.09.2015 19:47:42 »
Так есть тут те кто это использует в связке?

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #5 : 12.09.2015 11:26:56 »
https://bugzilla.altlinux.org/31271

Но я этот пакет не трогал долго. Не знаю, когда и у кого руки дойдут. Его, по-хорошему, ещё и сильно обновить надо.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #6 : 29.09.2015 11:58:22 »
Насколько я понимаю MariaDB совместима и Workbench должен с ней работать.

Попробовал я собрать 6.3.4. Собрал, но оказалось несовсем совместимо. Там есть проверка на версии, WorkBench ругается на то, что версия не соответствует 5.1, 5.5, 5.6 и 5.7, после чего цепляется к базе с частично заблокированным функционалом. Хотя, может, если эту проверку оторвать, то что-то работать и будет. В Сизиф пакет не прошёл пока - образовалась проблема с одной библиотекой: https://bugzilla.altlinux.org/31310

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
Re: mysql-workbench
« Ответ #7 : 29.09.2015 21:31:57 »
Я уж было подумал что про тему забыли. Спасибо что взялись. Жду новостей.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #8 : 30.09.2015 08:47:51 »
Я уж было подумал что про тему забыли. Спасибо что взялись. Жду новостей.
Кстати, а пакет куда нужен ? В Сизиф, или в p7/t7 ?

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #9 : 30.09.2015 13:39:59 »
Я уж было подумал что про тему забыли. Спасибо что взялись. Жду новостей.

И есть новость не сильно хорошая: расхождение версий MySQL и MariaDB - это проблема в плане управления СУБД из WB. В WB нашлись проверки на разные версии MySQL в некоторых местах, в зависимости от которых используются те или иные возможности. То есть, по-этому поводу, надо достаточно заметно патчить, и, при этом, зная точно, что чему соответствует. MariaDB 10.0, судя по всему, что-то имеет ещё от MySQL 5.6, что-то уже от 5.7. Плюс что-то своё, видимо, но это из WB будет недоступно вовсе.
« Последнее редактирование: 30.09.2015 14:57:39 от asy »

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
Re: mysql-workbench
« Ответ #10 : 30.09.2015 20:23:13 »
Цитировать
Кстати, а пакет куда нужен ? В Сизиф, или в p7/t7 ?
Думаю что для p7 большого смысла нет - на подходе 8. Ну а если время будет то и туда и туда.

Цитировать
что-то имеет ещё от MySQL 5.6, что-то уже от 5.7
Думаю стоит идти по пути наименьшего сопротивления - использовать наименьшую версию. Конечно новых плюшек не будет но хоть что-то.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #11 : 01.10.2015 08:31:31 »
Думаю стоит идти по пути наименьшего сопротивления - использовать наименьшую версию.
Нельзя, так как в наименьшей версии есть то, чего в новых уже нет: база "performance_schema", например, меняется без обратной совместимости даже у MySQL. Там есть проверки на прямое соответствие версии, и их точно больше двух: две я нашёл, но сохранилась, как минимум, одна ошибка при работе. Плюс, опять же, для работы с performance_schema требуется ряд действий, которые выполняются посредством подгрузки mysql-workbench/sys/sys_56.sql или sys_57.sql. Для MariaDB 10.0 надо сделать sys_100.sql, но что туда писать - вопрос.
« Последнее редактирование: 01.10.2015 08:41:19 от asy »

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 160
  • Sunny 273 RUS crew
Re: mysql-workbench
« Ответ #12 : 11.10.2015 11:27:26 »
Думаю что для p7 большого смысла нет - на подходе 8. Ну а если время будет то и туда и туда.
6.3.4 собран в t7 и Sisyphus (с некоторыми различиями). Пользуясь тем, что его, снова, переименовали, 5.2.47 в t7 оставил. Версия из t7 скопирована в p7.

6.3.4-alt0.M70T.1

 - Updated to last release (renamed to mysql-workbench-community)
 - Changed "MySQL-client" to "mysql-client" in "Requires" (ALT #31271)
 - Used %%gpllgpl2only macro instead of %%gpl2only
 - Added draft patch for support administration of MariaDB 10

В версии 5.2.47 в p7/t7 "MySQL-client" тоже заменён на "mysql-client".
« Последнее редактирование: 29.10.2015 17:46:03 от asy »

Оффлайн tema

  • Мастер
  • ***
  • Сообщений: 1 781
    • Email
mysql-workbench mariadb
« Ответ #13 : 09.11.2015 05:44:24 »
Не могу подружить сабж.
mysql-workbench просто не подключается и всё тут. Пишет при попытке создания соединения:
Цитировать
Unsupported option provided to mysql_options()

Оффлайн stanukih

  • Давно тут
  • **
  • Сообщений: 560
Re: mysql-workbench mariadb
« Ответ #14 : 09.11.2015 06:37:03 »
у меня таже ситуация. думаю до выхода 8 платформы особо не мучиться, а там уже решать.